Subject: bug#50658: Error messages including function names violates coding conventions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Sep 2021 14:08:38 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 18 Sep 2021 03:52:54 -0700
> 
> We currently have a whole lot of places in Emacs where the error message
> include the function name that they come from, such as:
> 
>     (error "ad-read-advised-function: There are no advised functions")
> 
> This violates our coding convention in `(elisp) Programming Tips':
> 
>    • An error message should start with a capital letter but should not
>      end with a period.
> 
> These cases are all flagged by checkdoc when it tries to enforce the
> above convention.

I think it's a bug in checkdoc: the error message text, which excludes
the function name, fulfills the requirement.

> If we do care, I see three options:
> 
> 1. We decide on some format for how to type out the function name that
>    does not put it at the start of the message (since that violates the
>    coding convention), and then we document that to be the convention.
> 
> 2. We modify the above coding convention to say that including the
>    function name at the start is okay.  Presumably this includes
>    updating checkdoc to check that it is actually the function name that
>    is used (or perhaps to just accept any symbol).
> 
> 3. We add some way of displaying the function name in the error message
>    without having to type it out.

I think 2 is TRT, except that it isn't really a change in the
conventions.

Thanks.